
QGIS Application - Bug report #13614

Erroneous gaps in the histogram when column type is integer

2015-10-15 02:11 PM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21652

Description

I noticed erroneous gaps in the histogram in many cases.

Attached are examples from Natural Earth's countries name_len.

Also a comparison between a histogram in R and the same in QGIS (both using the same number of bins I believe, I used

Freedman-Diaconis in R, I think QGIS uses that too).

I am on ae1250b on Archlinux, not totally up to date with master.

History

#1 - 2015-10-15 02:11 PM - Johannes Kroeger

- File histogram_gaps.jpg added

#2 - 2015-10-16 01:28 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you share your data? Just a CSV with the values from the column used is enough

#3 - 2015-10-16 03:27 AM - Johannes Kroeger

Open the Shapefile from http://www.naturalearthdata.com/http//www.naturalearthdata.com/download/10m/cultural/ne_10m_admin_0_countries.zip

Choose a graduated style and classify by "name_len". Switch to Histogram tab and play around.

#4 - 2015-11-10 03:32 PM - Nyall Dawson

- Subject changed from Erroneous gaps in the histogram to Erroneous gaps in the histogram when column type is integer

#5 - 2015-12-19 01:54 PM - Giovanni Manghi

- Category set to Symbology

- Status changed from Feedback to Open

#6 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
#7 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

histogram_gaps_qgis_vs_r.png 26.1 KB 2015-10-15 Johannes Kroeger

histogram_gaps.jpg 75.9 KB 2015-10-15 Johannes Kroeger
